#
# spec file for package perl-Text-Template
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Template
Version:        1.46
Release:        9.5
%define cpan_name Text-Template
Summary:        Expand template text with embedded Perl
License:        GPL-2.0+ or ClArtistic
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Template/
Source:         http://www.cpan.org/authors/id/M/MJ/MJD/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
#BuildRequires: perl(Text::Template)
#BuildRequires: perl(Text::Template::Preprocess)
%{perl_requires}

%description
This is a library for generating form letters, building HTML pages, or
filling in templates generally. A `template' is a piece of text that has
little Perl programs embedded in it here and there. When you `fill in' a
template, you evaluate the little programs and replace them with their
values.

You can store a template in a file outside your program. People can modify
the template without modifying the program. You can separate the formatting
details from the main code, and put the formatting parts of the program
into the template. That prevents code bloat and encourages functional
separation.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Artistic COPYING README

%changelog
* Wed Jun  5 2013 cfarrell@suse.com
- license update: GPL-2.0+ or ClArtistic
  The license choice is for GPL-2.0+ or the Clarified Artistic License
  (ClArtistic on spdx.org/licenses/ClArtistic)
* Tue Jun  4 2013 coolo@suse.com
- updated to 1.46
    Thanks to Rik Signes, there is a new
    Text::Template->append_text_to_output method, which
    Text::Template always uses whenever it wants to emit output.
    You can subclass this to get control over the output, for
    example for postprocessing.
    A spurious warning is no longer emitted when the TYPE
    parameter to ->new is omitted.
* Wed Dec 14 2011 coolo@suse.com
- fix license to be in spdx.org format
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr 21 2010 chris@computersalat.de
- update to 1.45
  - no ChangeLog :(
- cleanup spec
  - recreated with cpanspec
* Sat Mar  3 2007 aj@suse.de
- New package.
